List Invoices (V2)
Lists all invoices in the organization to which the current user belongs. The current user should be an organization owner or a billing admin.
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
If you have encountered any issue related to this endpoint, please contact Zilliz Cloud support.
export BASE_URL="https://api.cloud.zilliz.com"
The authentication token should be an API key with appropriate privileges.
The number of items to return in each page.
The page number to return.
export TOKEN="YOUR_API_KEY"
curl --request GET \
--url "${BASE_URL}/v2/invoices" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Returns a list of invoice records in the organization to which the current user belongs.
Returns a list of invoices.
Response code.
Response payload containing the invoice records.
Total number of invoice records available.
The page number of the returned records.
The number of records per page.
The invoice records on the current page.
A single invoice record in the response payload.
ID of the invoice.
ID of the organization the invoice belongs to.
Start of the billing period.
End of the billing period.
Date when the invoice was issued.
Date when the invoice is due.
Currency of the invoice amounts.
Status of the invoice.
Usage amount before credits and other adjustments.
Amount of credits applied to the invoice.
Amount already billed for the billing period.
Subtotal before tax.
Tax amount.
Total amount including tax.
Amount paid in advance applied to the invoice.
Amount still due on the invoice.
Returns an error message.
Response code.
Error message.
{
"code": 0,
"data": {
"count": 1,
"currentPage": 1,
"pageSize": 10,
"invoices": [
{
"id": "inv-12312io23810o291",
"orgId": "org-xxxxxx",
"periodStart": "2024-01-01T00:00:00Z",
"periodEnd": "2024-02-01T00:00:00Z",
"invoiceDate": "2024-02-01T00:00:00Z",
"dueDate": "2024-02-01T00:00:00Z",
"currency": "USD",
"status": "unpaid",
"usageAmount": 52400,
"creditsApplied": 12400,
"alreadyBilledAmount": 0,
"subtotal": 40000,
"tax": 5000,
"total": 45000,
"advancePayAmount": 0,
"amountDue": 45000
}
]
}
}